curl --request POST \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/ingress/v2/utilization/floor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "af313b3f-0a7a-407b-b904-8c304183a69b",
"utilization": 40,
"measuredAt": "2018-10-07T08:32:03Z",
"floorRef": "LctFloor1",
"timeout": 600
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'af313b3f-0a7a-407b-b904-8c304183a69b',
utilization: 40,
measuredAt: '2018-10-07T08:32:03Z',
floorRef: 'LctFloor1',
timeout: 600
})
};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/ingress/v2/utilization/floor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/ingress/v2/utilization/floor"
payload = {
"id": "af313b3f-0a7a-407b-b904-8c304183a69b",
"utilization": 40,
"measuredAt": "2018-10-07T08:32:03Z",
"floorRef": "LctFloor1",
"timeout": 600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Floor Utilization Data
Send floor utilization data.
It is required that, by floor, utilization data are sent in chronological order of measuredAt. Otherwise, utilization data with an older measuredAt than the previously processed data of the same floor will be ignored.
The utilization will be automatically reset to 0 after the specified or default timeout unless the utilization data for given floor is sent again with a newer measuredAt.
curl --request POST \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/ingress/v2/utilization/floor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "af313b3f-0a7a-407b-b904-8c304183a69b",
"utilization": 40,
"measuredAt": "2018-10-07T08:32:03Z",
"floorRef": "LctFloor1",
"timeout": 600
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'af313b3f-0a7a-407b-b904-8c304183a69b',
utilization: 40,
measuredAt: '2018-10-07T08:32:03Z',
floorRef: 'LctFloor1',
timeout: 600
})
};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/ingress/v2/utilization/floor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/ingress/v2/utilization/floor"
payload = {
"id": "af313b3f-0a7a-407b-b904-8c304183a69b",
"utilization": 40,
"measuredAt": "2018-10-07T08:32:03Z",
"floorRef": "LctFloor1",
"timeout": 600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Represents the floor utilization at a given point in time.
The unique ID of the floor utilization data request generated by the originating system.
36"af313b3f-0a7a-407b-b904-8c304183a69b"
40
When this event had occurred.
"2018-10-07T08:32:03Z"
The unique case-sensitive floor identifier.
36"LctFloor1"
Timeout in seconds until the presence count will reset to 0. The default value of timeout is 15min (900s).
600
Response
Successful Operation

